Subject: Re: ncurses/terminfo problems
From: Thomas Dickey <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 19 Nov 2000 15:09:03 -0500

On Sun, Nov 19, 2000 at 02:58:13PM -0500, Charles S. Wilson wrote:
> 
> extern NCURSES_EXPORT(type, funcname) (args....)
> extern NCURSES_EXPORT_VAR(type) varname

hmm - is that for mapping to native dll stuff, or part of cywgin's dll
support?  (I thought all of that overly-precise specification was discarded
long ago since it's too cumbersome for practical use -- except of course on
win32...)

why isn't 'extern' part of the macro, btw?
 
> Yes, it would be better to fix up
> libtool/autoconf/automake/Makefile.am/Makefile.in etc.  I'll get to that
> -- this is just a first step.

;-)
 
> If you are interested in absorbing the *first* patch for ncurses-5.3,
> I'll gladly submit it and get the paperwork for FSF copyright assignment
> filled out...and I'll verify that it doesn't break anything on Linux
> (Solaris, HPUX) if you like.

Maybe - the first thing that pops into my head is how it impacts
lib_gen.c (I assume that still works).

-- 
Thomas E. Dickey <[email-masked]>
http://dickey.his.com
ftp://dickey.his.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]